Distribution:	CCux
Packager:  	Stefan Gottwald <gotti@ccux-linux.de>

Summary:   	A set of tools for CD/DVD reading and recording, including cdrecord
Name:      	cdrtools
Version:   	3.00
Release:   	1
License: 	CDDL-Schily
URL:		http://cdrecord.berlios.de
Group:     	Archiving/CD Burning 
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires: 	make

BuildRequires:	libogg-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libacl-devel

%description
A set of tools for CD/DVD reading and recording, including cdrecord

%package -n cdrecord
Summary: 	A command line CD/DVD recording program
Group: 		Archiving/CD Burning 

%description -n cdrecord
cdrecord is an application for creating audio and data CDs. cdrecord
works with many different brands of CD recorders, fully supports
multi-sessions and provides human-readable error messages.

%package -n mkisofs
Summary: 	Creates an image of an ISO9660 filesystem
Group: 		Archiving/CD Burning 
Requires: 	perl
Requires:	cdrtools-isoutils

%description -n mkisofs
The mkisofs program is used as a pre-mastering program; i.e., it
generates the ISO9660 filesystem. mkisofs takes a snapshot of
a given directory tree and generates a binary image of the tree
which will correspond to an ISO9660 filesystem when written to
a block device. mkisofs is used for writing CD-ROMs, and includes
support for creating bootable El Torito CD-ROMs.

Install the mkisofs package if you need a program for writing
CD-ROMs.

%package -n cdrtools-isoutils
Summary:        Creates an image of an ISO9660 filesystem
Group:          Archiving/CD Burning
Provides:	isoutils

%description -n cdrtools-isoutils
This package contain the ISO Tools

   - isodebug
   - isodump
   - isoinfo
   - isovfy
   - devdump

%package -n cdda2wav
Group: 		Archiving/CD Burning 
Summary: 	A utility for sampling/copying .wav files from digital audio CDs

%description -n cdda2wav
Cdda2wav is a sampling utility for CD-ROM drives that are capable of
providing a CD's audio data in digital form to your host. Audio data
read from the CD can be saved as .wav or .sun format sound files.
Recording formats include stereo/mono, 8/12/16 bits and different
rates. Cdda2wav can also be used as a CD player.

%prep
%setup -q -n %{name}-3.00
# thanks to gentoo for providing this information
#"Adjust paths. Upstream is clearly on drugs, hardcoding paths into .c files.
sed -i -e 's:opt/schily:usr:' \
$(grep -l --include='*.1' --include='*.8' -r 'opt/schily' .) \
$(grep -l --include='*.c' --include='*.h' -r 'opt/schily' .) 

sed -i -e "s:\(^INSDIR=\t\tshare/doc/\):\1${PF}/:" \
$(grep -l -r 'INSDIR.\+doc' .)

# See previous comment s/libdir/--disable-static/
sed -i -e 's:include\t\t.*rules.lib::' \
$(grep -l -r '^include.\+rules\.lib' .)

#Remove profiled make files (wtf?)
rm -f $(find . -name '*_p.mk')

#Schily make setup

sed -i "s:/opt/schily:/usr:g" DEFAULTS/Defaults.linux
sed -i "s:/usr/src/linux/include::g" DEFAULTS/Defaults.linux
sed -i "/RUNPATH/ c\RUNPATH= " DEFAULTS/Defaults.linux

# For dynamic linking:
sed -i "s:static:dynamic:" DEFAULTS/Defaults.linux

%build
make -j1 CC="gcc -D__attribute_const__=const -finput-charset=ISO-8859-1 -fexec-charset=UTF-8" COPTX="${CFLAGS}" \
LIB_ACL_TEST="-lacl" CPPOPTX="$CPPFLAGS" LDOPTX="$LDFLAGS" GMAKE_NOWARN=true

%install
rm -rf $RPM_BUILD_ROOT
make -j1 MANDIR="man" INS_BASE="%{buildroot}/usr/" INS_RBASE="%{buildroot}" install
ln -s schily %{buildroot}%_includedir/scsilib
ln -s ../scg %{buildroot}/%_includedir/schily/scg
rm -f %{buildroot}%{_mandir}/man1/cdda2ogg.*

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_includedir/scsilib
%_includedir/schily/*
%_includedir/scg/*
%_libdir/libcdrdeflt.so
%_libdir/libdeflt.so
%_libdir/libedc_ecc.so
%_libdir/libedc_ecc_dec.so
%_libdir/libfile.so
%_libdir/libfind.so
%_libdir/libhfs.so
%_libdir/libparanoia.so
%_libdir/librscg.so
%_libdir/libscg.so
%_libdir/libscgcmd.so
%_libdir/libschily.so
%_libdir/libsiconv.so
%_libdir/libmdigest.so
%_libdir/libmdigest.so.*
%_libdir/libcdrdeflt.so.*
%_libdir/libdeflt.so.*
%_libdir/libedc_ecc.so.*
%_libdir/libedc_ecc_dec.so.*
%_libdir/libfile.so.*
%_libdir/libfind.so.*
%_libdir/libhfs.so.*
%_libdir/libparanoia.so.*
%_libdir/librscg.so.*
%_libdir/libscg.so.*
%_libdir/libscgcmd.so.*
%_libdir/libschily.so.*
%_libdir/libsiconv.so.*
%_libdir/siconv/*
%{_mandir}/man5/makefiles.*
%{_mandir}/man5/makerules.*
%{_mandir}/man1/scgskeleton.1.gz

%files -n cdrecord
%defattr(-,root,root)
%doc ABOUT Changelog README README.linux-shm START READMEs/README.linux
%{_datadir}/doc/cdrecord/*
%{_datadir}/doc/rscsi/*
%{_sysconfdir}/default/cdrecord
%{_sysconfdir}/default/rscsi
%{_bindir}/cdrecord
%{_bindir}/readcd
%{_bindir}/scgcheck
%{_bindir}/scgskeleton
%{_bindir}/btcflash
%{_sbindir}/rscsi
%{_mandir}/man1/rscsi.*
%{_mandir}/man1/scgcheck.*
%{_mandir}/man1/readcd.*
%{_mandir}/man1/cdrecord.*
%{_mandir}/man1/btcflash.*

%files -n cdda2wav
%defattr(-,root,root)
%doc cdda2wav/FAQ cdda2wav/Frontends cdda2wav/HOWTOUSE cdda2wav/TODO
%{_datadir}/doc/cdda2wav/*
%{_bindir}/cdda2wav
%{_bindir}/cdda2mp3
%{_bindir}/cdda2ogg
%{_mandir}/man1/cdda2mp3.1.gz
%{_mandir}/man1/cdda2wav.1.gz

%files -n mkisofs
%defattr(-,root,root)
%{_datadir}/doc/mkisofs/*
%{_bindir}/mkisofs
%{_bindir}/mkhybrid
%{_mandir}/man8/mkhybrid.*
%{_mandir}/man8/mkisofs.*

%files -n cdrtools-isoutils
%defattr(-,root,root)
%{_bindir}/isodump
%{_bindir}/isodebug
%{_bindir}/isoinfo
%{_bindir}/isovfy
%{_bindir}/devdump
%{_mandir}/man8/isodump.*
%{_mandir}/man8/isodebug.*
%{_mandir}/man8/isoinfo.*
%{_mandir}/man8/isovfy.*
%{_mandir}/man8/devdump.*

%changelog
* Thu Jun 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.00-1
- version update
* Tue May 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.01.01a79-1
- version update
* Mon May 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.01.01a78-1
- version update
* Sun Mar 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.01.01a77-1
- version update
* Thu Feb 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.01.01a76-1
- version update
* Sun Jan 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.01.01a73-1
- version update
* Mon May 25 2009 Stefan Gottwald <gotti@ccux-linux.de> 2.01.01a60-1
- version update
* Thu Apr 16 2009 Stefan Gottwald <gotti@ccux-linux.de> 2.01.01a58-1
- version update
* Tue Feb 17 2009 Stefan Gottwald <gotti@ccux-linux.de> 2.01.01a57-1
- Initial Release
